=== modified file 'bzrlib/remote.py'
--- bzrlib/remote.py	2007-07-20 02:27:13 +0000
+++ bzrlib/remote.py	2007-07-31 00:52:11 +0000
@@ -253,7 +253,7 @@
         """complete a write group on the decorated repository.
         
         Smart methods peform operations in a single step so this api
-        is not really applicable except as a compatability thunk
+        is not really applicable except as a compatibility thunk
         for older plugins that don't use e.g. the CommitBuilder
         facility.
         """
@@ -264,7 +264,7 @@
         """complete a write group on the decorated repository.
         
         Smart methods peform operations in a single step so this api
-        is not really applicable except as a compatability thunk
+        is not really applicable except as a compatibility thunk
         for older plugins that don't use e.g. the CommitBuilder
         facility.
         """
@@ -445,7 +445,7 @@
         """Start a write group on the decorated repository.
         
         Smart methods peform operations in a single step so this api
-        is not really applicable except as a compatability thunk
+        is not really applicable except as a compatibility thunk
         for older plugins that don't use e.g. the CommitBuilder
         facility.
         """

=== modified file 'bzrlib/repository.py'
--- bzrlib/repository.py	2007-07-20 02:27:13 +0000
+++ bzrlib/repository.py	2007-07-31 00:52:11 +0000
@@ -482,6 +482,7 @@
 
         A write lock is required around the start_write_group/commit_write_group
         for the support of lock-requiring repository formats.
+        :return: None.
         """
         if not self.is_locked() or self.control_files._lock_mode != 'w':
             raise errors.NotWriteLocked(self)
@@ -1145,7 +1146,7 @@
 
     inv = revision_tree.inventory
     entries = inv.iter_entries()
-    # backwards compatability hack: skip the root id.
+    # backwards compatibility hack: skip the root id.
     if not repository.supports_rich_root():
         path, root = entries.next()
         if root.revision != rev.revision_id:

